Bug 1018523 - Review Request: golang-github-coreos-go-log - A golang library for logging to systemd
Summary: Review Request: golang-github-coreos-go-log - A golang library for logging to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1018501 1018533
Blocks: 1018478
TreeView+ depends on / blocked
 
Reported: 2013-10-12 22:04 UTC by Lokesh Mandvekar
Modified: 2015-02-08 19:23 UTC (History)
8 users (show)

Fixed In Version: golang-github-coreos-go-log-0-0.7.git840af6b.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-29 03:48:10 UTC
Type: ---
mattdm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lokesh Mandvekar 2013-10-12 22:04:09 UTC
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-coreos-go-log.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-coreos-go-log-0-0.1.git840af6b.fc21.src.rpm

Description:
A golang libary for logging to systemd

The devel package contains library source intended for building other packages which use coreos/go-log

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6053965

$ rpmlint SPECS/golang-github-coreos-go-log.spec SRPMS/golang-github-coreos-go-log-0-0.1.git840af6b.fc21.src.rpm RPMS/noarch/golang-github-coreos-go-log-devel-0-0.1.git840af6b.fc21.noarch.rpm
SPECS/golang-github-coreos-go-log.spec:35: W: setup-not-quiet
golang-github-coreos-go-log.src: W: spelling-error Summary(en_US) systemd -> systems, system, system d
golang-github-coreos-go-log.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
golang-github-coreos-go-log.src:35: W: setup-not-quiet
golang-github-coreos-go-log-devel.noarch: W: spelling-error Summary(en_US) systemd -> systems, system, system d
golang-github-coreos-go-log-devel.noarch: W: spelling-error %description -l en_US systemd -> systems, system, system d
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

I'm guessing spelling errors for systemd can be ignored (?)

Comment 1 Lokesh Mandvekar 2013-10-13 00:56:28 UTC
%changelog
* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git840af6b
- URL corrected
- License corrected

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-coreos-go-log.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-coreos-go-log-0-0.2.git840af6b.fc21.src.rpm

Comment 2 Matthew Miller 2013-10-14 14:51:54 UTC
Review passed, with the caveat that the Go packaging guidelines are draft and this package may need revision in the future.

Comment 3 Matthew Miller 2013-10-14 15:03:56 UTC
Whoops, I missed something. This should have

BuildRequires: golang-bitbucket-kardianos-osext-devel

Comment 4 Matthew Miller 2013-10-14 15:10:57 UTC
Also 

BuildRequires: golang-github-coreos-go-systemd-devel

Comment 5 Vincent Batts 2013-10-14 15:26:00 UTC
(In reply to Matthew Miller from comment #4)
> BuildRequires: golang-github-coreos-go-systemd-devel

Use the import paths:

BuildRequires: golang('github.com/coreos/go-systemd')

with the actual import paths needed. This way it will be safe guarded for splitting out the libraries into subpackages.

Comment 6 Matthew Miller 2013-10-14 16:11:59 UTC
(In reply to Vincent Batts from comment #5)
> (In reply to Matthew Miller from comment #4)
> > BuildRequires: golang-github-coreos-go-systemd-devel
> 
> Use the import paths:
> 
> BuildRequires: golang('github.com/coreos/go-systemd')
> 
> with the actual import paths needed. This way it will be safe guarded for
> splitting out the libraries into subpackages.

Sure, works for me. Can you put this in the packaging draft? https://fedoraproject.org/wiki/PackagingDrafts/Go

However, there is a side-effect of doing it this way -- when looking for packages which build-require a certain library for security update, the import path will have to be used, which seems more error-prone. See the repoquery in the security section at the end of the draft... unless you can think of something more clever I think it may come down to a tradeoff of the safeguard you have in mind vs. making it easier to manage security problems....

Anyway the important note *here* is the requirement, however it is expressed.

Comment 7 Matthew Miller 2013-10-14 17:14:44 UTC
Lokesh points out that a buildrequires isn't really what's needed. What we need is a _regular_ Requires, because the dependency will need to be installed in order for anything to build against this.

Comment 8 Lokesh Mandvekar 2013-10-14 18:13:39 UTC
%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git840af6b
- Requires kardianos/osext and coreos/go-systemd

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-coreos-go-log.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-coreos-go-log-0-0.3.git840af6b.fc21.src.rpm

Comment 9 Matthew Miller 2013-10-15 04:09:20 UTC
Okay, looks good. Again, may need updating as we update the Go packaging draft and get that to official status.

Comment 10 Lokesh Mandvekar 2013-10-15 19:27:27 UTC
New Package SCM Request
=======================
Package Name: golang-github-coreos-go-log
Short Description: A golang library for logging to systemd
Owners: lsm5
Branches: f19 f20 el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-10-16 13:40:03 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-10-20 05:58:37 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-log-0-0.5.git840af6b.fc20

Comment 13 Fedora Update System 2013-10-20 06:03:39 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-log-0-0.5.git840af6b.fc19

Comment 14 Fedora Update System 2013-10-20 06:08:38 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-log-0-0.5.git840af6b.el6

Comment 15 Fedora Update System 2013-10-20 16:19:48 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Peter Lemenkov 2013-10-23 11:05:31 UTC
Package Change Request
======================
Package Name: golang-github-coreos-go-log
InitialCC: golang-sig

Comment 17 Gwyn Ciesla 2013-10-23 14:10:53 UTC
Done.

Comment 18 Fedora Update System 2013-10-29 03:48:10 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2013-11-04 17:34:39 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2013-11-10 07:48:17 UTC
golang-github-coreos-go-log-0-0.5.git840af6b.fc20 has been pushed to the Fedora 20 stable repository.

Comment 21 Troy Dawson 2014-07-22 20:18:12 UTC
Package Change Request
======================
Package Name: golang-github-coreos-go-log
New Branches: epel7
Owners: tdawson maxamillion

Comment 22 Gwyn Ciesla 2014-07-23 10:04:58 UTC
Git done (by process-git-requests).

Comment 23 Fedora Update System 2015-01-21 17:32:21 UTC
golang-github-coreos-go-log-0-0.7.git840af6b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-log-0-0.7.git840af6b.fc20

Comment 24 Fedora Update System 2015-01-21 17:32:39 UTC
golang-github-coreos-go-log-0-0.7.git840af6b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-log-0-0.7.git840af6b.fc21

Comment 25 Fedora Update System 2015-01-21 17:33:10 UTC
golang-github-coreos-go-log-0-0.7.git840af6b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-log-0-0.7.git840af6b.el6

Comment 26 Fedora Update System 2015-02-03 12:03:39 UTC
golang-github-coreos-go-log-0-0.7.git840af6b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-02-03 12:04:09 UTC
golang-github-coreos-go-log-0-0.7.git840af6b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-02-08 19:23:36 UTC
golang-github-coreos-go-log-0-0.7.git840af6b.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.